/**
 * 
 */
package org.apache.seatunnel.connectors.seatunnel.http.enums;

import com.fasterxml.jackson.annotation.JsonGetter;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum PageType {
	
	/**
	 * 页码分页
	 */
	PAGE_NUM("${pageNum}"),
	
	/**
	 * 偏移量分页
	 */
	OFFSET("${offset}"),
	
	/**
	 * 游标分页
	 */
	CURSOR("${cursor}")
	
	;

	private String paramNamePlaceholder;
}
